aboutsummaryrefslogtreecommitdiff
path: root/examples/vim/vim-common.p5m.gen
diff options
context:
space:
mode:
authorIgor Pashev <igor.pashev@nexenta.com>2013-04-17 14:08:01 +0400
committerIgor Pashev <igor.pashev@nexenta.com>2013-04-17 14:08:01 +0400
commit207cd347945b53a1034d0ed8ad35037cf497e471 (patch)
tree455f399a5c405141b9c2fe500bcf9be05534d304 /examples/vim/vim-common.p5m.gen
parent62c2114fcab6cf9826089109633117494ace630e (diff)
downloadcibs-207cd347945b53a1034d0ed8ad35037cf497e471.tar.gz
Examples: vim & python
Diffstat (limited to 'examples/vim/vim-common.p5m.gen')
-rwxr-xr-xexamples/vim/vim-common.p5m.gen25
1 files changed, 25 insertions, 0 deletions
diff --git a/examples/vim/vim-common.p5m.gen b/examples/vim/vim-common.p5m.gen
new file mode 100755
index 0000000..8fa78f3
--- /dev/null
+++ b/examples/vim/vim-common.p5m.gen
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+set -u
+
+pkg=vim-common
+
+tmp=/tmp/cibs-$pkg.$$
+
+proto=${proto:-work/proto/$pkg}
+
+cat <<'META' > $tmp
+set name=pkg.fmri value=pkg:/editor/vim-common@$(ips-version)
+set name=pkg.summary value="Vi IMproved - Common files"
+set name=info.upstream-url value="$(home)"
+set name=info.source-url value="$(download)"
+
+license $(license-file) license="$(license)"
+
+META
+
+/usr/share/cibs/scripts/make-payload $proto >> $tmp
+cat $tmp
+rm $tmp
+